1. Home
  2. Getting Started
  3. WordPress Requirements

WordPress Requirements

Websites that run using WordPress need to ensure WordPress hosting requirements are met.

PHP Requirements

  1. PHP version 5.6.24 or greater
  2. In Apache, enable mod_rewrite module ( for clean URIs known as Permalinks )
  3. Allows remote connections ( Most Hosting Companies allows it by default)
  4. If your host blocks outgoing HTTP connections, many parts of the WordPress will not function
  5. Set Memory Limit minimum to 512MB. More Details
  6. Set Upload_max_filesize minimum to 32 MB
  7. Set max_execution_time to 600 ( very important parameter for importing demo )




Database

  1. MySQL version 5.0.15 or greater or any version of MariaDB
  2. MySQL version 5.6 or greater is recommended

WordPress Version

  1. The latest available version of WordPress is always recommended.
  2. Latest WordPress Official Version Link
  3. Make sure to keep updating your installed version for security reasons

For an updated version of requirements please visit Official WordPress Requirements. You can also check Codex Requirements that goes into more details.




Was this article helpful to you? Yes 3 No